Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceNotice.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceNotice.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceNotice.cs	(revision 484)
@@ -203,8 +203,8 @@
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.ToDate);   // 申請終了日時
                 strcmd.AppendFormat(", {0}", work.NoticePeriod);                                // 勤怠期間日
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.TransferDay.ToShortDateString());   // 振替日
-                strcmd.AppendFormat(", '{0}'", work.Reason);                                    // 事由
-                strcmd.AppendFormat(", '{0}'", work.Note);                                      // 備考
+                strcmd.AppendFormat(", {0}", SeparateString(work.Reason));                      // 事由
+                strcmd.AppendFormat(", {0}", SeparateString(work.Note));                        // 備考
                 strcmd.AppendFormat(", {0}", work.ApprovalDate);                                // 承認日
                 strcmd.AppendFormat(", {0}", work.ApprovalNo);                                  // 承認受付番号
                 strcmd.AppendFormat(", {0}", work.DeleteFlg);                                   // 削除フラグ
@@ -261,8 +261,8 @@
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.ToDate);   // 申請終了日時
                     strcmd.AppendFormat(", {0}", work.NoticePeriod);                                // 勤怠期間日
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.TransferDay.ToShortDateString());   // 振替日
-                    strcmd.AppendFormat(", '{0}'", work.Reason);                                    // 事由
-                    strcmd.AppendFormat(", '{0}'", work.Note);                                      // 備考
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Reason));                      // 事由
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));                        // 備考
                     strcmd.AppendFormat(", {0}", work.ApprovalDate);                                // 承認日
                     strcmd.AppendFormat(", {0}", work.ApprovalNo);                                  // 承認受付番号
                     strcmd.AppendFormat(", {0}", work.DeleteFlg);                                   // 削除フラグ
@@ -308,10 +308,10 @@
                 strcmd.AppendFormat(", HolidayReason = {0}", data.HolidayReason);                           // 休み区分
                 strcmd.AppendFormat(", FromDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.FromDate);  // 申請開始日時
                 strcmd.AppendFormat(", ToDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ToDate);      // 申請終了日時
-                strcmd.AppendFormat(", NoticePeriod = {0}", data.NoticePeriod);                                // 勤怠期間日
+                strcmd.AppendFormat(", NoticePeriod = {0}", data.NoticePeriod);                             // 勤怠期間日
                 strcmd.AppendFormat(", TransferDay = STR_TO_DATE('{0}','%Y/%m/%d')", data.TransferDay.ToShortDateString()); // 振替日
-                strcmd.AppendFormat(", Reason = '{0}'", data.Reason);                                       // 事由
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);                                           // 備考
+                strcmd.AppendFormat(", Reason = {0}", SeparateString(data.Reason));                         // 事由
+                strcmd.AppendFormat(", Note = {0}", SeparateString(data.Note));                             // 備考
                 strcmd.AppendFormat(", ApprovalDate = {0}", data.ApprovalDate);                             // 承認日
                 strcmd.AppendFormat(", ApprovalNo = {0}", data.ApprovalNo);                                 // 承認受付番号
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);                                   // 削除フラグ
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs	(revision 484)
@@ -123,7 +123,7 @@
 
                     strcmd.AppendFormat("  {0}", work.YearMonth.ToString());
                     strcmd.AppendFormat(", {0}", work.BankBusinessDay.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.Note.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note.ToString()));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
                     strcmd.Append(", NOW()");
@@ -160,7 +160,7 @@
 
                 strcmd.AppendFormat(" YearMonth = {0}", data.YearMonth.ToString());
                 strcmd.AppendFormat(",BankBusinessDay = {0}", data.BankBusinessDay.ToString());
-                strcmd.AppendFormat(",Note = '{0}'", data.Note);
+                strcmd.AppendFormat(",Note = {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingCostDataLink.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingCostDataLink.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingCostDataLink.cs	(revision 484)
@@ -38,11 +38,16 @@
             SeqNoB,
             LineCount,
             LabourKind,
+            LinkType,
             YearNumber,
             CostType,
             TargetType,
             TargetCode,
             SeqNoC,
+            PersonCode,
+            ActionDate,
+            DataType,
+            DataAddCount,
             EntryDate,
             UpdateDate,
         }
@@ -192,11 +197,16 @@
                 strcmd.AppendFormat(", {0}", work.SeqNoB);
                 strcmd.AppendFormat(", {0}", work.LineCount);
                 strcmd.AppendFormat(", {0}", work.LabourKind);
+                strcmd.AppendFormat(", {0}", work.LinkType);
                 strcmd.AppendFormat(", {0}", work.YearNumber);
                 strcmd.AppendFormat(", {0}", work.CostType);
                 strcmd.AppendFormat(", {0}", work.TargetType);
                 strcmd.AppendFormat(", {0}", work.TargetCode);
                 strcmd.AppendFormat(", {0}", work.SeqNoC);
+                strcmd.AppendFormat(", {0}", work.PersonCode);
+                strcmd.AppendFormat(", DATE('{0}')", work.ActionDate.ToShortDateString());
+                strcmd.AppendFormat(", {0}", work.DataType);
+                strcmd.AppendFormat(", {0}", work.DataAddCount);
 
                 strcmd.Append(", NOW()");
                 strcmd.Append(", NOW()");
@@ -248,11 +258,16 @@
                     strcmd.AppendFormat(", {0}", work.SeqNoB);
                     strcmd.AppendFormat(", {0}", work.LineCount);
                     strcmd.AppendFormat(", {0}", work.LabourKind);
+                    strcmd.AppendFormat(", {0}", work.LinkType);
                     strcmd.AppendFormat(", {0}", work.YearNumber);
                     strcmd.AppendFormat(", {0}", work.CostType);
                     strcmd.AppendFormat(", {0}", work.TargetType);
                     strcmd.AppendFormat(", {0}", work.TargetCode);
                     strcmd.AppendFormat(", {0}", work.SeqNoC);
+                    strcmd.AppendFormat(", {0}", work.PersonCode);
+                    strcmd.AppendFormat(", DATE('{0}')", work.ActionDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.DataType);
+                    strcmd.AppendFormat(", {0}", work.DataAddCount);
 
                     strcmd.Append(", NOW()");
                     strcmd.Append(", NOW()");
@@ -292,11 +307,16 @@
                 strcmd.AppendFormat(", SeqNoB = {0}", data.SeqNoB);
                 strcmd.AppendFormat(", LineCount = {0}", data.LineCount);
                 strcmd.AppendFormat(", LabourKind = {0}", data.LabourKind);
+                strcmd.AppendFormat(", LinkType = {0}", data.LinkType);
                 strcmd.AppendFormat(", YearNumber = {0}", data.YearNumber);
                 strcmd.AppendFormat(", CostType = {0}", data.CostType);
                 strcmd.AppendFormat(", TargetType = {0}", data.TargetType);
                 strcmd.AppendFormat(", TargetCode = {0}", data.TargetCode);
                 strcmd.AppendFormat(", SeqNo = {0}", data.SeqNoC);
+                strcmd.AppendFormat(", PersonCode = {0}", data.PersonCode);
+                strcmd.AppendFormat(", ActionDate = DATE('{0}')", data.ActionDate.ToShortDateString());
+                strcmd.AppendFormat(", DataType = {0}", data.DataType);
+                strcmd.AppendFormat(", DataAddCount = {0}", data.DataAddCount);
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -343,6 +363,9 @@
                     case (int)NameColumn.LabourKind:
                         strcmd.AppendFormat(" LabourKind = {0}", (int)value);
                         break;
+                    case (int)NameColumn.LinkType:
+                        strcmd.AppendFormat(" LinkType = {0}", (int)value);
+                        break;
                     case (int)NameColumn.YearNumber:
                         strcmd.AppendFormat(" YearNumber = {0}", (int)value);
                         break;
@@ -358,6 +381,18 @@
                     case (int)NameColumn.SeqNoC:
                         strcmd.AppendFormat(" SeqNoC = {0}", (int)value);
                         break;
+                    case (int)NameColumn.PersonCode:
+                        strcmd.AppendFormat(" PersonCode = {0}", (int)value);
+                        break;
+                    case (int)NameColumn.ActionDate:
+                        strcmd.AppendFormat(" ActionDate = DATE('{0}')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)NameColumn.DataType:
+                        strcmd.AppendFormat(" DataType = {0}", (int)value);
+                        break;
+                    case (int)NameColumn.DataAddCount:
+                        strcmd.AppendFormat(" DataAddCount = {0}", (int)value);
+                        break;
                 }
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -415,11 +450,16 @@
                 wrk.SeqNoB = int.Parse(objwrk[(int)NameColumn.SeqNoB].ToString());
                 wrk.LineCount= int.Parse(objwrk[(int)NameColumn.LineCount].ToString());
                 wrk.LabourKind= int.Parse(objwrk[(int)NameColumn.LabourKind].ToString());
+                wrk.LinkType = int.Parse(objwrk[(int)NameColumn.LinkType].ToString());
                 wrk.YearNumber = int.Parse(objwrk[(int)NameColumn.YearNumber].ToString());
                 wrk.CostType = int.Parse(objwrk[(int)NameColumn.CostType].ToString());
                 wrk.TargetType = int.Parse(objwrk[(int)NameColumn.TargetType].ToString());
                 wrk.TargetCode = int.Parse(objwrk[(int)NameColumn.TargetCode].ToString());
                 wrk.SeqNoC = int.Parse(objwrk[(int)NameColumn.SeqNoC].ToString());
+                wrk.PersonCode = int.Parse(objwrk[(int)NameColumn.PersonCode].ToString());
+                wrk.ActionDate = DateTime.Parse(objwrk[(int)NameColumn.ActionDate].ToString());
+                wrk.DataType = int.Parse(objwrk[(int)NameColumn.DataType].ToString());
+                wrk.DataAddCount = int.Parse(objwrk[(int)NameColumn.DataAddCount].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
@@ -464,8 +504,6 @@
         /// <summary>
         /// 行ロック
         /// </summary>
-        /// <param name="MaterialItemCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLock(int CompanyCode, int TargetDate, int SeqNo, int LineCount, int LabourKind, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs	(revision 484)
@@ -434,8 +434,6 @@
         /// <summary>
         /// 行ロック
         /// </summary>
-        /// <param name="MaterialItemCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLock(int CompanyCode, int TargetDate, int SeqNo, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 484)
@@ -203,13 +203,13 @@
                 strcmd.AppendFormat(", {0}", work.ConstructionRowCnt);
                 strcmd.AppendFormat(", {0}", work.ConstructionColCnt);
                 strcmd.AppendFormat(", {0}", work.LinkDataType);
-                strcmd.AppendFormat(", '{0}'", work.FieldName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.FieldName));
                 strcmd.AppendFormat(", {0}", work.BillPrice);
                 strcmd.AppendFormat(", {0}", work.HighwPrice);
                 strcmd.AppendFormat(", {0}", work.HardwPrice);
                 strcmd.AppendFormat(", {0}", work.IndsWasteTax);
                 strcmd.AppendFormat(", {0}", work.OverFlg);
-                strcmd.AppendFormat(", '{0}'", work.Note);
+                strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                 strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
                 strcmd.Append(", NOW()");
@@ -266,13 +266,13 @@
                     strcmd.AppendFormat(", {0}", work.ConstructionRowCnt);
                     strcmd.AppendFormat(", {0}", work.ConstructionColCnt);
                     strcmd.AppendFormat(", {0}", work.LinkDataType);
-                    strcmd.AppendFormat(", '{0}'", work.FieldName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FieldName));
                     strcmd.AppendFormat(", {0}", work.BillPrice);
                     strcmd.AppendFormat(", {0}", work.HighwPrice);
                     strcmd.AppendFormat(", {0}", work.HardwPrice);
                     strcmd.AppendFormat(", {0}", work.IndsWasteTax);
                     strcmd.AppendFormat(", {0}", work.OverFlg);
-                    strcmd.AppendFormat(", '{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
                     strcmd.Append(", NOW()");
@@ -317,13 +317,13 @@
                 strcmd.AppendFormat(", ConstructionRowCnt = {0}", data.ConstructionRowCnt);
                 strcmd.AppendFormat(", ConstructionColCnt = {0}", data.ConstructionColCnt);
                 strcmd.AppendFormat(", LinkDataType = {0}", data.LinkDataType);
-                strcmd.AppendFormat(", FieldName = '{0}'", data.FieldName);
+                strcmd.AppendFormat(", FieldName = {0}", SeparateString(data.FieldName));
                 strcmd.AppendFormat(", BillPrice = {0}", data.BillPrice);
                 strcmd.AppendFormat(", HighwPrice = {0}", data.HighwPrice);
                 strcmd.AppendFormat(", HardwPrice = {0}", data.HardwPrice);
                 strcmd.AppendFormat(", IndsWasteTax = {0}", data.IndsWasteTax);
                 strcmd.AppendFormat(", OverFlg = {0}", data.OverFlg);
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", Note = {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -520,8 +520,6 @@
         /// <summary>
         /// 行ロック
         /// </summary>
-        /// <param name="MaterialItemCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLock(int CompanyCode, int TargetDate, int SeqNo, int LineCount, int LabourKind, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 484)
@@ -411,8 +411,6 @@
         /// <summary>
         /// 行ロック
         /// </summary>
-        /// <param name="MaterialItemCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLock(int CompanyCode, int TargetDate, int ChargePaymentKind, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 484)
@@ -108,17 +108,17 @@
 
         #endregion
 
-        #region SELECT　SQL作成
+        #region テーブルのフィールドリストを作成する
         /// <summary>
-        /// SQL作成
+        /// テーブルのフィールドリストを作成する
         /// </summary>
-        private string CreateSelectSQL()
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
         {
             StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd.Append("SELECT ");
-
+                strcmd.Append(" ");
                 bool bColFirst = true;
                 string strWork = string.Empty;
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
@@ -127,7 +127,7 @@
                     if (!bColFirst) strcmd.Append(",");
                     if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
                     {
-                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
                     }
                     else if (strWork.Equals("RequestedDate")
                             || strWork.Equals("EstimatesSubmitDeadline")
@@ -159,17 +159,36 @@
                             || strWork.Equals("InspectExecuteDate")
                             || strWork.Equals("RevCompleteDate"))
                     {
-                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
                     }
                     else
                     {
-                        strcmd.AppendFormat(" {0}", strWork);
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
                     }
                     bColFirst = false;
                 }
 
-                strcmd.Append(" FROM ConstructionBaseInfo");
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
 
+        #region SELECT　SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM ConstructionBaseInfo", CreateFieldNameList());
+
                 return strcmd.ToString();
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs	(revision 484)
@@ -177,7 +177,7 @@
 
                 strcmd.AppendFormat("  {0}", data.ConstructionCode);
                 strcmd.AppendFormat(", {0}", data.DetailNo);
-                strcmd.AppendFormat(",'{0}'", data.DetailString);
+                strcmd.AppendFormat(", {0}", SeparateString(data.DetailString));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
@@ -225,7 +225,7 @@
 
                     strcmd.AppendFormat("  {0}", work.ConstructionCode);
                     strcmd.AppendFormat(", {0}", work.DetailNo);
-                    strcmd.AppendFormat(",'{0}'", work.DetailString);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.DetailString));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -265,7 +265,7 @@
 
                 strcmd.AppendFormat("  ConstructionCode = {0}", data.ConstructionCode);
                 strcmd.AppendFormat(", DetailNo = {0}", data.DetailNo);
-                strcmd.AppendFormat(", DetailString = '{0}'", data.DetailString);
+                strcmd.AppendFormat(", DetailString = {0}", SeparateString(data.DetailString));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -362,7 +362,7 @@
                         strcmd.AppendFormat(" DetailNo = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.DETAILSTRING:
-                        strcmd.AppendFormat(" DetailString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" DetailString = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
@@ -382,7 +382,6 @@
         #endregion
 
         #region 検索の文字列を返す
-
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs	(revision 484)
@@ -231,15 +231,15 @@
                 strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
 
                 strcmd.AppendFormat(", {0}", work.CreatorCode);                     // 作成者コード
-                strcmd.AppendFormat(",'{0}'", work.CreatorName);                    // 作成者名
+                strcmd.AppendFormat(", {0}", SeparateString(work.CreatorName));     // 作成者名
                 strcmd.AppendFormat(", {0}", work.CreatorCosts);                    // 作成者給与
 
                 strcmd.AppendFormat(", {0}", work.AssistantCode);                   // 副担当者コード
-                strcmd.AppendFormat(",'{0}'", work.AssistantName);                  // 副担当者名
+                strcmd.AppendFormat(", {0}", SeparateString(work.AssistantName));   // 副担当者名
                 strcmd.AppendFormat(", {0}", work.AssistantCosts);                  // 副担当者給与
 
                 strcmd.AppendFormat(", {0}", work.InstructorCode);                  // 工事指導員コード
-                strcmd.AppendFormat(",'{0}'", work.InstructorName);                 // 工事指導員名
+                strcmd.AppendFormat(", {0}", SeparateString(work.InstructorName));  // 工事指導員名
                 strcmd.AppendFormat(", {0}", work.InstructorCosts);                 // 工事指導員給与
                 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
@@ -306,15 +306,15 @@
                     strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
 
                     strcmd.AppendFormat(", {0}", work.CreatorCode);                     // 作成者コード
-                    strcmd.AppendFormat(",'{0}'", work.CreatorName);                    // 作成者名
+                    strcmd.AppendFormat(", {0} ", SeparateString(work.CreatorName));    // 作成者名
                     strcmd.AppendFormat(", {0}", work.CreatorCosts);                    // 作成者給与
 
                     strcmd.AppendFormat(", {0}", work.AssistantCode);                   // 副担当者コード
-                    strcmd.AppendFormat(",'{0}'", work.AssistantName);                  // 副担当者名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.AssistantName));   // 副担当者名
                     strcmd.AppendFormat(", {0}", work.AssistantCosts);                  // 副担当者給与
 
                     strcmd.AppendFormat(", {0}", work.InstructorCode);                  // 工事指導員コード
-                    strcmd.AppendFormat(",'{0}'", work.InstructorName);                 // 工事指導員名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.InstructorName));  // 工事指導員名
                     strcmd.AppendFormat(", {0}", work.InstructorCosts);                 // 工事指導員給与
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
@@ -373,15 +373,15 @@
                 strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);	            // 工事番号
 
                 strcmd.AppendFormat(", CreatorCode = {0}", data.CreatorCode);                       // 作成者コード
-                strcmd.AppendFormat(", CreatorName = '{0}'", data.CreatorName);                     // 作成者名
+                strcmd.AppendFormat(", CreatorName = {0}", SeparateString(data.CreatorName));       // 作成者名
                 strcmd.AppendFormat(", CreatorCosts = {0}", data.CreatorCosts);                     // 作成者給与
 
                 strcmd.AppendFormat(", AssistantCode = {0}", data.AssistantCode);                   // 副担当者コード
-                strcmd.AppendFormat(", AssistantName = '{0}'", data.AssistantName);                 // 副担当者名
+                strcmd.AppendFormat(", AssistantName = {0}", SeparateString(data.AssistantName));   // 副担当者名
                 strcmd.AppendFormat(", AssistantCosts = {0}", data.AssistantCosts);                 // 副担当者給与
 
                 strcmd.AppendFormat(", InstructorCode = {0}", data.InstructorCode);                 // 工事指導員コード
-                strcmd.AppendFormat(", InstructorName = '{0}'", data.InstructorName);               // 工事指導員名
+                strcmd.AppendFormat(", InstructorName = {0}", SeparateString(data.InstructorName)); // 工事指導員名
                 strcmd.AppendFormat(", InstructorCosts = {0}", data.InstructorCosts);               // 工事指導員給与
                 strcmd.AppendFormat(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                         data.CreateDate.ToShortDateString());       // 作成日
@@ -465,7 +465,7 @@
                         strcmd.AppendFormat(" CreatorCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CreatorName:    	    // 作成者名
-                        strcmd.AppendFormat(" CreatorName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CreatorName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CreatorCosts:	        // 作成者給与
                         strcmd.AppendFormat(" CreatorCosts = {0}", ((double)value).ToString());
@@ -474,7 +474,7 @@
                         strcmd.AppendFormat(" AssistantCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.AssistantName:        // 副担当者名
-                        strcmd.AppendFormat(" AssistantName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" AssistantName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.AssistantCosts:       // 副担当者給与
                         strcmd.AppendFormat(" AssistantCosts = {0}", ((double)value).ToString());
@@ -483,7 +483,7 @@
                         strcmd.AppendFormat(" InstructorCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.InstructorName:	    // 工事指導員名
-                        strcmd.AppendFormat(" InstructorName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" InstructorName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.InstructorCosts:	    // 工事指導員給与
                         strcmd.AppendFormat(" InstructorCosts = {0}", ((double)value).ToString());
